org.apache.xml.dtm.ref

## Class DTMNamedNodeMap.DTMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.DOMException
        - - org.apache.xml.dtm.ref.DTMNamedNodeMap.DTMException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    DTMNamedNodeMap

      public static class DTMNamedNodeMap.DTMException
      extends org.w3c.dom.DOMException

  Simple implementation of DOMException.
  See Also:
    Serialized Form
  Usage:
    **For internal use only**

- - ### Field Summary

    - ### Fields inherited from class org.w3c.dom.DOMException

      `code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, TYPE_MISMATCH_ERR, VALIDATION_ERR, WRONG_DOCUMENT_ERR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTMException(short code)` Constructor DTMException
    `DTMException(short code, java.lang.String message)` Constructs a DOM/DTM exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DTMException

          public DTMException(short code,
                              java.lang.String message)

      Constructs a DOM/DTM exception.
      Parameters:
        `code` -
        `message` -

    - #### DTMException

          public DTMException(short code)

      Constructor DTMException
      Parameters:
        `code` -

Copyright © 2023 Apache XML Project. All Rights Reserved.